/*select c.categid, c.categname, s.subcategid, s.subcategname from category_v1 c
left join subcategory_v1 s on s.categid=c.categid
order by c.categname, s.subcategname*/
select strftime('%m', c.TRANSDATE) as MONTH
    ,strftime('%Y', c.TRANSDATE) as YEAR
    , total(case c.TRANSCODE when 'Deposit'  then TRANSAMOUNT * cf.BaseConvRate end) as TotalDeposits
    , total(case c.TRANSCODE when 'Withdrawal' then TRANSAMOUNT * cf.BaseConvRate end) as TotalExpenses
from CHECKINGACCOUNT_V1 c
    left join ACCOUNTLIST_V1 AC on AC.ACCOUNTID = c.ACCOUNTID
    left join currencyformats_v1 cf on cf.currencyid=AC.currencyid
where TRANSDATE >= '2014-01-01'
and transcode != 'Transfer'
and c.status !='V'
and ac.status !='Closed'
and c.categid=11 and c.subcategid=110
group by year, month
order by year,month
